Summary:	A GNU collection of diff utilities.
Name:		diffutils
Group:		Applications/Text
License:	GPL
Version:	2.8
Release:	1
Source0:	ftp://prep.ai.mit.edu/pub/gnu/diffutils-%{version}.tar.gz
Source1:	cmp.1
Source2:	diff.1
Source3:	diff3.1
Source4:	sdiff.1
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
Diffutils includes four utilities: diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line.  The cmp
command shows the offset and line numbers where two files differ, or
cmp can show the characters that differ between the two files.  The
diff3 command shows the differences between three files.  Diff3 can be
used when two people have made independent changes to a common
original; diff3 can produce a merged file that contains both sets of
changes and warnings about conflicts.  The sdiff command can be used
to merge two files interactively.

%files -f %{name}.lang
  %defattr(-,root,root)
  %doc NEWS README
  %doc %{_mandir}/man?/*
  %doc %{_infodir}/diff.info*gz
  %attr(0511,root,root)	%{_bindir}/*

%prep
%setup -q

%build
  autoconf
  %configure
  make PR_PROGRAM=%{_bindir}/pr

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  ( cd $RPM_BUILD_ROOT
    gzip -9nf .%{_infodir}/diff*
    strip .%{__bindir}/* || :
    mkdir -p .%{_mandir}/man1
    for manpage in %{SOURCE1} %{SOURCE3} %{SOURCE4}
    do
      install -m 0644 ${manpage} .%{_mandir}/man1
    done
  )

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.8, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
